Package org.apache.wiki.htmltowiki

# Class XHtmlElementToWikiTranslator.ElementDecoratorData

java.lang.Object
org.apache.wiki.htmltowiki.XHtmlElementToWikiTranslator.ElementDecoratorData

Enclosing class:
  XHtmlElementToWikiTranslator

public static class XHtmlElementToWikiTranslator.ElementDecoratorData extends Object
Simple data placeholder class to move decoration state between plain text syntax translation related classes.

## Field Summary

Fields
Modifier and Type
Field
Description
`org.jdom2.Element`
`base`
`boolean`
`bold`
`String`
`cssClass`
`String`
`cssSpecial`
`String`
`htmlBase`
`boolean`
`ignoredCssClass`
`boolean`
`italic`
`boolean`
`monospace`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### base

public org.jdom2.Element base

### htmlBase

public String htmlBase

### cssClass

public String cssClass

### cssSpecial

public String cssSpecial

### monospace

public boolean monospace

### bold

public boolean bold

### italic

public boolean italic

### ignoredCssClass

public boolean ignoredCssClass